Package org.apache.sysds.runtime.lineage

## Class LineageCacheEviction

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageCacheEviction

    public class LineageCacheEviction
    extends Object

### Constructor Summary

Constructors
`LineageCacheEviction()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `getAvailableSpace()`
`static long` `getCacheLimit()`
`static void` `removeAll​(Map<LineageItem,​LineageCacheEntry> cache)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageCacheEviction

    public LineageCacheEviction()

### Method Detail

#### getCacheLimit

    public static long getCacheLimit()

#### getAvailableSpace

    public static long getAvailableSpace()

#### removeAll

    public static void removeAll​(Map<LineageItem,​LineageCacheEntry> cache)